| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

stc_ad_channel_list | ADC Channel list with same sort order as the ER32 registers
stc_adc_comapre | Comparison configuration
stc_adc_config | ADC configuration
stc_adc_instance_data | ADC instance data type
stc_adc_int_callback | ADC interrupt callback function
stc_adc_int_sel | ADC interrupt selection
stc_adc_intern_data | ADC instance internal data, storing internal information for each enabled ADC instance
stc_adc_prio | Priority Conversion configuration
stc_adc_range_compare | Range comparison configuration
stc_adc_scan | Scan Conversion configuration
stc_bt_instance_data | BT instance data
stc_bt_intern_data | BT internal data
stc_bt_ppg_config | Structure of PPG configuration
stc_bt_pwc_config | Structure of PWC timer configuration
stc_bt_pwm_config | Structure of PWM configuration
stc_bt_rt_config | Structure of Reload timer configuration
stc_clk_config | Clock configuration
stc_clk_intern_data | Datatype for holding internal data needed for CLK
stc_csio_cs | CSIO chip selection configuration
stc_csio_info | CSIO information
stc_csio_int_cb | CSIO interrupt callback function
stc_csio_int_sel | CSIO interrupt selection
stc_csio_serial_timer | CSIO serial timer configuration
stc_csv_status | Structure of CSV status
stc_dma_config | DMA configuration
stc_dma_int_cb | DMA interrupt callback function
stc_dma_int_sel | DMA interrupt selection
stc_dma_intern_data | Datatype for holding internal data needed for DMA
stc_dt_channel_config | Dt channel configuration
stc_dt_instance_data | DT instance data type
stc_dt_intern_data | Datatype for holding internal data needed for DT
stc_dtif_int_cb |
stc_dtif_int_sel |
stc_even_compare_config | The compare configuration of even OCU channel
stc_fgpio1pin_init |
stc_frt_int_cb | FRT interrupt callback function
stc_frt_int_sel | Enumeration of FRT interrupt selection
stc_gpio1pin_init |
stc_hwwdg_config | Hardware Watchdog configuration
stc_i2c_info | I2C transfer information structure
stc_i2c_int_cb | I2C interrupt callback function
stc_i2c_int_sel | I2C interrupt selection
stc_lin_int_cb | LIN interrupt callback function
stc_lin_int_sel | LIN interrupt selection
stc_mfs_csio_config | CSIO configuration structure
stc_mfs_fifo_config | Mfs FIFO configuration
stc_mfs_i2c_config | I2C configuration structure
stc_mfs_instance_data | MFS instance data type
stc_mfs_intern_data | MFS module internal data, storing internal information for each enabled MFS instance
stc_mfs_lin_config | LIN configuration structure
stc_mfs_uart_config | UART configuration structure
stc_mfsn | MFS common instance structure
stc_mft_adcmp_config | Define Mft_adcmp configure parameters
stc_mft_adcmp_fm3_config | Define Mft_adcmp compatible fm3 configure parameters
stc_mft_adcmp_func | Define Mft_adcmp functions
stc_mft_frt_config | FRT configure
stc_mft_frt_instance_data | FRT instance data type
stc_mft_frt_intern_data | FRT instance internal data, storing internal information for each enabled FRT instance
stc_mft_icu_config | Structure of Mft icu configuration
stc_mft_icu_instance_data | Mft_icu instance data type
stc_mft_icu_intern_data | Icu instance internal data, storing internal information for each enabled Icu instance
stc_mft_ocu_config | OCU configure
stc_mft_ocu_instance_data | OCU instance data type
stc_mft_ocu_intern_data | Structure of OCU internal data
stc_mft_wfg_instance_data |
stc_mft_wfg_intern_data |
stc_odd_compare_config | The compare configuration of odd OCU channel
stc_ppg_config | Structure to config PPG
stc_ppg_igbt_config | Structure of PPG IGBT configuration
stc_ppg_int_cb | Structure to set the PPG interrupt callback function
stc_ppg_int_sel | Structure to select the PPG interrupt
stc_ppg_upcnt0_config | Up counter0 configuration
stc_ppg_upcnt1_config | Up counter1 configuration
stc_ppg_upcnt2_config | Up counter2 configuration
stc_prio_fifo_info | Priority conversion FIFO information
stc_pwc_int_cb | Structure to set the PWC timer interrupt callback function
stc_pwc_int_sel | Structure to select the PWC timer interrupt
stc_pwm_int_cb | Structure to set the PWM interrupt callback function
stc_pwm_int_sel | Structure to select the PWM interrupt
stc_qprc_config | Structure to configuration QPRC
stc_qprc_filter | Structure to configuration QPRC filter
stc_qprc_instance_data | Structure of QPRC instance data
stc_qprc_int_cb | Enumeration to define QPRC interrupt callback function
stc_qprc_int_sel | Enumeration to define QPRC interrupt selection
stc_qprc_intern_data | Structure of QPRC internal data
stc_reset_result | Datatype for Reset Cause return structure
stc_ret_cause | Deep standby mode return cause
stc_rt_int_cb | Structure to set the Reload timer interrupt callback function
stc_rt_int_sel | Structure to select the Reload timer interrupt
stc_rtc_alarm | Real Time Clock Alarm structure
stc_rtc_config | Real Time Clock configuration
stc_rtc_freq_corr | Frequency correction configuration
stc_rtc_int_cb | RTC callback functions structure
stc_rtc_int_sel | Interrupt configuration structure
stc_rtc_intern_data | Datatype for holding internal data needed for RTC
stc_rtc_time | Real Time Clock Date and Time structure
stc_rtc_timer | Real Time Clock timer configuration structure
stc_scan_fifo_info | Scan conversion FIFO information
stc_swwdg_config | Software and Hardware Watchdog configuration
stc_timer0_gen_ch | Up counter0 stop channels selection
stc_timer1_gen_ch | Up counter1 stop channels selection
stc_timer2_gen_ch | Up counter2 stop channels selection
stc_uart_int_cb | UART interrupt callback function
stc_uart_int_sel | UART interrupt selection
stc_unique_id | PDL structure of Unique ID register set
stc_wc_config | Structure to configure the watch counter
stc_wc_pres_clk | Structure to configure watch counter prescaler
stc_wfg_ctrl_bits |
stc_wfg_nzcl_config |
stc_ad_channel_list::unAdcChannels::stcChannelBits |
un_dmac_dmaca_t |
un_dmac_dmacb_t |
stc_ad_channel_list::unAdcChannels |